# Uses of Record Class
com.usatiuk.kleppmanntree.OpMove

Packages that use OpMove
Package
Description
com.usatiuk.dhfs.jkleppmanntree
com.usatiuk.dhfs.jkleppmanntree.structs
com.usatiuk.kleppmanntree

## Uses of OpMove in com.usatiuk.dhfs.jkleppmanntree

Methods in com.usatiuk.dhfs.jkleppmanntree that return OpMove
Modifier and Type
Method
Description
`OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`
JKleppmannTreeOpWrapper.`op()`
Returns the value of the `op` record component.
Constructors in com.usatiuk.dhfs.jkleppmanntree with parameters of type OpMove
Modifier
Constructor
Description
``
`JKleppmannTreeOpWrapper(JObjectKey treeName, OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> op)`
Creates an instance of a `JKleppmannTreeOpWrapper` record class.

## Uses of OpMove in com.usatiuk.dhfs.jkleppmanntree.structs

Methods in com.usatiuk.dhfs.jkleppmanntree.structs that return OpMove
Modifier and Type
Method
Description
`OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>`
JKleppmannTreeNode.`lastEffectiveOp()`
Returns the value of the `lastEffectiveOp` record component.
Methods in com.usatiuk.dhfs.jkleppmanntree.structs that return types with arguments of type OpMove
Modifier and Type
Method
Description
`org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>>`
JKleppmannTreePersistentData.`queues()`
Returns the value of the `queues` record component.
Methods in com.usatiuk.dhfs.jkleppmanntree.structs with parameters of type OpMove
Modifier and Type
Method
Description
`JKleppmannTreeNode`
JKleppmannTreeNode.`withLastEffectiveOp(OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> lastEffectiveOp)`
Method parameters in com.usatiuk.dhfs.jkleppmanntree.structs with type arguments of type OpMove
Modifier and Type
Method
Description
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withQueues(org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues)`
Constructors in com.usatiuk.dhfs.jkleppmanntree.structs with parameters of type OpMove
Modifier
Constructor
Description
``
`JKleppmannTreeNode(JObjectKey key, JObjectKey parent, OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> lastEffectiveOp, JKleppmannTreeNodeMeta meta, org.pcollections.PMap<String,JObjectKey> children)`
Creates an instance of a `JKleppmannTreeNode` record class.
Constructor parameters in com.usatiuk.dhfs.jkleppmanntree.structs with type arguments of type OpMove
Modifier
Constructor
Description
``
`JKleppmannTreePersistentData(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, long clock, org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues, org.pcollections.PMap<PeerId,Long> peerTimestampLog, org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
Creates an instance of a `JKleppmannTreePersistentData` record class.

## Uses of OpMove in com.usatiuk.kleppmanntree

Methods in com.usatiuk.kleppmanntree that return OpMove
Modifier and Type
Method
Description
`OpMove<TimestampT,PeerIdT,MetaT,NodeIdT>`
LogEffect.`effectiveOp()`
Returns the value of the `effectiveOp` record component.
`OpMove<TimestampT,PeerIdT,MetaT,NodeIdT>`
TreeNode.`lastEffectiveOp()`
`OpMove<TimestampT,PeerIdT,MetaT,NodeIdT>`
LogEffectOld.`oldEffectiveMove()`
Returns the value of the `oldEffectiveMove` record component.
`OpMove<TimestampT,PeerIdT,MetaT,NodeIdT>`
LogRecord.`op()`
Returns the value of the `op` record component.
Methods in com.usatiuk.kleppmanntree with parameters of type OpMove
Modifier and Type
Method
Description
`void`
KleppmannTree.`applyExternalOp(PeerIdT from, OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> op)`
`void`
OpRecorder.`recordOp(OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> op)`
`void`
OpRecorder.`recordOpForPeer(PeerIdT peer, OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> op)`
`TreeNode<TimestampT,PeerIdT,MetaT,NodeIdT>`
TreeNode.`withLastEffectiveOp(OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> lastEffectiveOp)`
Constructors in com.usatiuk.kleppmanntree with parameters of type OpMove
Modifier
Constructor
Description
``
`LogEffect(LogEffectOld<TimestampT,PeerIdT,MetaT,NodeIdT> oldInfo, OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> effectiveOp, NodeIdT newParentId, MetaT newMeta, NodeIdT childId)`
Creates an instance of a `LogEffect` record class.
``
`LogEffectOld(OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> oldEffectiveMove, NodeIdT oldParent, MetaT oldMeta)`
Creates an instance of a `LogEffectOld` record class.
``
`LogRecord(OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> op, List<LogEffect<TimestampT,PeerIdT,MetaT,NodeIdT>> effects)`
Creates an instance of a `LogRecord` record class.